package com.bocloud.nms.model.veeam.job;

public class BackupOracleSettingsModel {

    private boolean useGuestCredentials;
    private String credentialsId;
    private String archiveLogs;
    private Integer deleteHoursCount;
    private Integer deleteGBsCount;
    private boolean backupLogs;
    private Integer backupMinsCount;
    private String retainLogBackups;
    private Integer keepDaysCount;
    private BackupLogShippingServersModel logShippingServers;

    public boolean isUseGuestCredentials() {
        return useGuestCredentials;
    }

    public void setUseGuestCredentials(boolean useGuestCredentials) {
        this.useGuestCredentials = useGuestCredentials;
    }

    public String getCredentialsId() {
        return credentialsId;
    }

    public void setCredentialsId(String credentialsId) {
        this.credentialsId = credentialsId;
    }

    public String getArchiveLogs() {
        return archiveLogs;
    }

    public void setArchiveLogs(String archiveLogs) {
        this.archiveLogs = archiveLogs;
    }

    public Integer getDeleteHoursCount() {
        return deleteHoursCount;
    }

    public void setDeleteHoursCount(Integer deleteHoursCount) {
        this.deleteHoursCount = deleteHoursCount;
    }

    public Integer getDeleteGBsCount() {
        return deleteGBsCount;
    }

    public void setDeleteGBsCount(Integer deleteGBsCount) {
        this.deleteGBsCount = deleteGBsCount;
    }

    public boolean isBackupLogs() {
        return backupLogs;
    }

    public void setBackupLogs(boolean backupLogs) {
        this.backupLogs = backupLogs;
    }

    public Integer getBackupMinsCount() {
        return backupMinsCount;
    }

    public void setBackupMinsCount(Integer backupMinsCount) {
        this.backupMinsCount = backupMinsCount;
    }

    public String getRetainLogBackups() {
        return retainLogBackups;
    }

    public void setRetainLogBackups(String retainLogBackups) {
        this.retainLogBackups = retainLogBackups;
    }

    public Integer getKeepDaysCount() {
        return keepDaysCount;
    }

    public void setKeepDaysCount(Integer keepDaysCount) {
        this.keepDaysCount = keepDaysCount;
    }

    public BackupLogShippingServersModel getLogShippingServers() {
        return logShippingServers;
    }

    public void setLogShippingServers(BackupLogShippingServersModel logShippingServers) {
        this.logShippingServers = logShippingServers;
    }

    @Override public String toString() {
        return "BackupOracleSettingsModel{" + "useGuestCredentials=" + useGuestCredentials + ", credentialsId='"
            + credentialsId + '\'' + ", archiveLogs='" + archiveLogs + '\'' + ", deleteHoursCount=" + deleteHoursCount
            + ", deleteGBsCount=" + deleteGBsCount + ", backupLogs=" + backupLogs + ", backupMinsCount="
            + backupMinsCount + ", retainLogBackups='" + retainLogBackups + '\'' + ", keepDaysCount=" + keepDaysCount
            + ", logShippingServers=" + logShippingServers + '}';
    }
}
